org.aspectj.internal.lang.reflect

## Class TypePatternImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.TypePatternImpl

All Implemented Interfaces:
  TypePattern

    public class TypePatternImpl
    extends Object
    implements TypePattern

Default impl of a type pattern.

### Constructor Summary

Constructors
Constructor and Description
`TypePatternImpl(String pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `asString()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypePatternImpl

    public TypePatternImpl(String pattern)

### Method Detail

#### asString

    public String asString()

Specified by:
  `asString` in interface `TypePattern`
Returns:
  a string representation of the pattern

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`